// SPDX-License-Identifier: MPL-2.0
#ifndef SH_LIB_PIC_H
#define SH_LIB_PIC_H
#include "std/stdlib.h"
#define SH_PIC1_CMD 0x20
#define SH_PIC1_DATA 0x21
#define SH_PIC2_CMD 0xA0
#define SH_PIC2_DATA 0xA1
// Remap all PIC interrupts on interrupts vectors 32 to 47, leave only IRQ0 enabled
void sh_pic_remap();
// Unmask a PIC interrupt
void sh_pic_unmask(sh_uint8 irq);
// Mask a PIC interrupt
void sh_pic_mask(sh_uint8 irq);
// Send EOI to PIC
void sh_pic_send_eoi(sh_uint8 irq);
#endif
